# Uses of Interface
jebl.evolution.sequences.SequenceType

Packages that use SequenceType
Package
Description
jebl.evolution.alignments
jebl.evolution.io
jebl.evolution.sequences
jebl.evolution.substmodel

## Uses of SequenceType in jebl.evolution.alignments

Methods in jebl.evolution.alignments that return SequenceType
Modifier and Type
Method
Description
`SequenceType`
BasicAlignment.`getSequenceType()`
`SequenceType`
ConsensusSequence.`getSequenceType()`
`SequenceType`
Pattern.`getSequenceType()`
`SequenceType`
Patterns.`getSequenceType()`
`SequenceType`
ResampledAlignment.`getSequenceType()`

## Uses of SequenceType in jebl.evolution.io

Methods in jebl.evolution.io with parameters of type SequenceType
Modifier and Type
Method
Description
`void`
ImportHelper.`readSequence(StringBuilder sequence, SequenceType sequenceType, String delimiters, int maxSites, String gapCharacters, String missingCharacters, String matchCharacters, String matchSequence)`
`void`
ImportHelper.`readSequence(StringBuilder sequence, SequenceType sequenceType, String delimiters, int maxSites, String gapCharacters, String missingCharacters, String matchCharacters, String matchSequence, boolean stopAtDoubleNewLine)`
`void`
ImportHelper.`readSequence(StringBuilder sequence, SequenceType sequenceType, String delimiters, int maxSites, String gapCharacters, String missingCharacters, String matchCharacters, String matchSequence, ProgressListener progress)`
`void`
ImportHelper.`readSequence(StringBuilder sequence, SequenceType sequenceType, String delimiters, int maxSites, String gapCharacters, String missingCharacters, String matchCharacters, String matchSequence, ProgressListener progress, boolean stopAtDoubleNewLine)`
Reads sequence, skipping over any comments and filtering using sequenceType.
`void`
ImportHelper.`readSequenceLine(StringBuffer sequence, SequenceType sequenceType, String delimiters, String gapCharacters, String missingCharacters, String matchCharacters, String matchSequence)`
Reads a line of sequence, skipping over any comments and filtering using sequenceType.
Constructors in jebl.evolution.io with parameters of type SequenceType
Modifier
Constructor
Description
``
`FastaImporter(File file, SequenceType sequenceType)`
Use this constructor if you are reading from a file.
``
`FastaImporter(Reader reader, SequenceType sequenceType)`
This constuctor takes a reader.
``
`PhylipSequentialImporter(Reader reader, SequenceType sequenceType, int maxNameLength)`
Constructor

## Uses of SequenceType in jebl.evolution.sequences

Fields in jebl.evolution.sequences declared as SequenceType
Modifier and Type
Field
Description
`static final SequenceType`
SequenceType.`AMINO_ACID`
`static final SequenceType`
SequenceType.`CODON`
`static final SequenceType`
SequenceType.`NUCLEOTIDE`
Methods in jebl.evolution.sequences that return SequenceType
Modifier and Type
Method
Description
`SequenceType`
BasicSequence.`getSequenceType()`
`SequenceType`
CanonicalSequence.`getSequenceType()`
`SequenceType`
CodonSequence.`getSequenceType()`
`SequenceType`
FilteredSequence.`getSequenceType()`
`SequenceType`
Sequence.`getSequenceType()`
`SequenceType`
TranslatedSequence.`getSequenceType()`
`SequenceType`
AminoAcidState.`getType()`
`SequenceType`
CodonState.`getType()`
`SequenceType`
NucleotideState.`getType()`
`abstract SequenceType`
State.`getType()`
`static SequenceType`
Utils.`guessSequenceType(CharSequence seq)`
Guess type of sequence from contents.
Methods in jebl.evolution.sequences with parameters of type SequenceType
Modifier and Type
Method
Description
`static State[]`
Utils.`cleanSequence(CharSequence seq, SequenceType type)`
Produce a clean sequence filtered of spaces and digits.
`static String`
SequenceType.Utils.`getAlphabet(SequenceType sequenceType)`
Constructors in jebl.evolution.sequences with parameters of type SequenceType
Modifier
Constructor
Description
``
`BasicSequence(SequenceType sequenceType, Taxon taxon, CharSequence sequenceString)`
Creates a sequence with a name corresponding to the taxon name.
``
`BasicSequence(SequenceType sequenceType, Taxon taxon, State[] states)`
Creates a sequence with a name corresponding to the taxon name
``
`CanonicalSequence(SequenceType sequenceType, Taxon taxon, CharSequence sequenceString)`
Creates a sequence with a name corresponding to the taxon name.
``
`CanonicalSequence(SequenceType sequenceType, Taxon taxon, State[] states)`
Creates a sequence with a name corresponding to the taxon name

## Uses of SequenceType in jebl.evolution.substmodel

Methods in jebl.evolution.substmodel that return SequenceType
Modifier and Type
Method
Description
`SequenceType`
AbstractRateMatrix.`getSequenceType()`
`SequenceType`
RateMatrix.`getSequenceType()`
Get the data type of this rate matrix